Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 769683004: [CSS Grid Layout] Fix crash in positioned items placed on implicit grid (Closed)

Created:
3 years, 6 months ago by Manuel Rego
Modified:
3 years, 6 months ago
CC:
blink-reviews, blink-reviews-rendering, Dominik Röttsches, eae+blinkwatch, jchaffraix+rendering, jfernandez, leviw+renderwatch, pdr+renderingwatchlist_chromium.org, Manuel Rego, svillar, zoltan1
Base URL:
https://chromium.googlesource.com/chromium/blink.git@master
Project:
blink
Visibility:
Public.

Description

[CSS Grid Layout] Fix crash in positioned items placed on implicit grid If we don't check that the initial and final positions are inside the current grid we could be trying to access undefined positions in the columns/rows positions arrays. BUG=273898 TEST=fast/css-grid-layout/grid-positioned-items-implicit-grid.html Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=186840

Patch Set 1 #

Total comments: 2

Patch Set 2 : Added comment #

Unified diffs Side-by-side diffs Delta from patch set Stats (+61 lines, -4 lines) Patch
A LayoutTests/fast/css-grid-layout/grid-positioned-items-implicit-grid.html View 1 chunk +56 lines, -0 lines 0 comments Download
A + LayoutTests/fast/css-grid-layout/grid-positioned-items-implicit-grid-expected.txt View 1 chunk +1 line, -4 lines 0 comments Download
M Source/core/rendering/RenderGrid.cpp View 1 1 chunk +4 lines, -0 lines 0 comments Download

Messages

Total messages: 7 (2 generated)
Manuel Rego
This issue was introduced in r186610.
3 years, 6 months ago (2014-12-07 21:22:28 UTC) #2
Julien - ping for review
lgtm https://codereview.chromium.org/769683004/diff/1/Source/core/rendering/RenderGrid.cpp File Source/core/rendering/RenderGrid.cpp (right): https://codereview.chromium.org/769683004/diff/1/Source/core/rendering/RenderGrid.cpp#newcode1233 Source/core/rendering/RenderGrid.cpp:1233: finalPosition = std::min<GridResolvedPosition>(finalPosition, lastPosition); I think we need ...
3 years, 6 months ago (2014-12-09 18:49:53 UTC) #3
Manuel Rego
https://codereview.chromium.org/769683004/diff/1/Source/core/rendering/RenderGrid.cpp File Source/core/rendering/RenderGrid.cpp (right): https://codereview.chromium.org/769683004/diff/1/Source/core/rendering/RenderGrid.cpp#newcode1233 Source/core/rendering/RenderGrid.cpp:1233: finalPosition = std::min<GridResolvedPosition>(finalPosition, lastPosition); On 2014/12/09 18:49:53, Julien Chaffraix ...
3 years, 6 months ago (2014-12-10 08:41:57 UTC) #4
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/769683004/20001
3 years, 6 months ago (2014-12-10 08:42:39 UTC) #6
commit-bot: I haz the power
3 years, 6 months ago (2014-12-10 09:55:30 UTC) #7
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://src.chromium.org/viewvc/blink?view=rev&revision=186840

Powered by Google App Engine
This is Rietveld 408576698